import request from '@/apis/utils/request.js';
import requestWhite from '@/apis/utils/requestWhite.js';
import Qs from 'qs';
 import  carhelp from '@/apis/utils/mixin.js'
 
export function codeOperation(url) {
	
}
export function scanCode(res) {
	var url=codeOperation(res);
	if(url){
		uni.navigateTo({
			url:url
		})
	}else{
		uni.showToast({
			title: '请扫描充电桩上的二维码'
		})
	}
}

export function activityInfoList(data) {
	return requestWhite({
		method: 'post',
		data: data,
		url: '/mobile/activityInfo/activityInfoList'
	})
}

export function test(data) {
	return request({
		method: 'post',
		data: data,
		url: '/test/post'
	})
}


export function chargingData(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/charging/chargingData'
	})
}

export function marketingData(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/charging/marketingData'
	})
}
export function findChargeData(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/chargingCar/findChargeData'
	})
}


export function personalCenter(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/regUser/personalCenter'
	})
}
export function logout(data) {
	return request({
		method: 'get',
		data: data,
		url: '/mobile/regUser/logout'
	})
}


export function stopCharging(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/command/stopCharging'
	})
}
export function startCharging(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/command/startCharging'
	})
}
export function accountRecordData(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/accountRecord/accountRecordData'
	})
}
export function accountDetail(id) {
	return request({
		method: 'get',
		 
		url: '/mobile/accountRecord/accountDetail?id='+id
	})
}


export function chargingRecordData(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/chargingCar/chargingRecordData'
	})
}
export function chargingDetail(id) {
	return request({
		method: 'get',
		 
		url: '/mobile/chargingRecord/chargingDetail?id='+id
	})
}

export function passengerMessageNoReadNum(data) {
	
	return request({
		url: '/mobile/passengerApi/passengerMessageNoReadNum',
		data:data,
		method: 'post',
	})
}
  
  export function chargingDeviceData(data) {
  	return request({
  		method: 'post',
  		data: data,
  		url: '/mobile/charging/chargingDeviceData'
  	})
  }
  
  export function findActivity(data) {
  	return requestWhite({
  		method: 'post',
  		data: data,
  		url: '/mobile/chargingCouponApi/findActivity'
  	})
  } 
	
	export function changeFont(data) {
		return request({
			method: 'get',
			data: data,
			url: '/mobile/regUser/changeFont'
		})
	}
  
	export function getTips(data) {
		return requestWhite({
			method: 'post',
			data: data,
			url: '/mobile/dataDictionary/getTips'
		})
	}
	
	export function readCoupon(data) {
		return request({
			method: 'post',
			data: data,
			url: '/mobile/chargingCouponApi/readCoupon'
		})
	}
	