import request from '@/apis/utils/request'
 import requestWhite from '@/apis/utils/requestWhite'
 
import Qs from 'qs';

export function pageList(formData) {
	return requestWhite({
		url: '/open/activity/pageList',
		data: formData,
		method: 'post',	
	//	header:{'Content-Type':'application/json'},
	})
}

export function edit(id) {
	return requestWhite({
		url: '/open/activity/edit/'+id,
		//data: formData,
		method: 'get',	
	//	header:{'Content-Type':'application/json'},
	})
}



export function notesList(id) {
	return requestWhite({
		url: '/open/activity/notesList',
		data: {
			activityId:id
		},
		method: 'post',	
	//	header:{'Content-Type':'application/json'},
	})
}

export function myAwards(id) {
	return request({
		url: '/mobile/activityNote/myAwards',
		data: {
			activityId:id
		},
		method: 'post',	
	//	header:{'Content-Type':'application/json'},
	})
}


export function joinActivity(id) {
	return request({
		url: '/mobile/activityUser/joinActivity',
		data: {
			activityId:id
		},
		method: 'post',	
	//	header:{'Content-Type':'application/json'},
	})
}


export function cancelActivity(id) {
	return request({
		url: '/mobile/activityUser/cancelActivity',
		data: {
			activityId:id
		},
		method: 'post',	
	//	header:{'Content-Type':'application/json'},
	})
}
