import request from '@/apis/utils/request'
import requestWhite from '@/apis/utils/requestWhite'
 
import Qs from 'qs';

// 获取卡信息
export function getCardInfo(formData) {
	return request({
		url: '/mobile/cardInfo/getCardInfo',
		data: formData,
		method: 'post'
	})
}

// 订餐月度记录
export function cardPayAmountList(formData) {
	return request({
		url: '/mobile/cardInfo/cardPayAmountList',
		data: formData,
		method: 'post'
	})
}

// 二维码获取信息
export function loadCardData() {
	return request({
		url: '/mobile/payAmountRecord/loadCardData',
		method: 'get'
	})
}

// 扫码付款
export function payAmount(formData) {
	return request({
		url: '/mobile/payAmountRecord/payAmount',
		data: formData,
		method: 'post'
	})
}