import requestWhite from '@/apis/utils/requestWhite'
 import request from '@/apis/utils/request'
 
import Qs from 'qs';

export function findByOpenId(data) {
	var url='/mobile/regUser/findByOpenId';
	return requestWhite({
	
		method: 'get',
		data: data,
		url: url
	})
}


export function pointsNotes(data) {
	
	return requestWhite({
		method: 'post',
		data: data,
		url: '/mobile/points/pointsNotes'
	})
}

export function validateCode(data) {
	 
	return requestWhite({
		method: 'post',
		data:data ,
		url: '/mobile/regUser/validateCode'
	})
} 

export function getVerifyCode(tel) {
	 
	return requestWhite({
		method: 'post',
		data:{
			telephone:tel
		} ,
		url: '/mobile/regUser/getVerifyCode'
	})
} 
export function logout(data) {
	var url='/mobile/regUser/logout';
	return request({
		method: 'get',
		data: data,
		url: url
	})
}

export function deleteUser(data) {
	var url='/mobile/regUser/deleteUser';
	return request({
		method: 'get',
		data: data,
		url: url
	})
}

export function changePhone(data) {
	var url='/mobile/regUser/changePhone';
	return request({
		method: 'get',
		data: data,
		url: url
	})
}

export function changeData(data) {
	var url='/mobile/regUser/changeData';
	return request({
		method: 'get',
		data: data,
		url: url
	})
}

export function addFeedback(data) {
	var url='/mobile/feedback/addFeedback';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function myPointsNotes(data) {
	var url='/mobile/points/myPointsNotes';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function myPointsSort(data) {
	var url='/mobile/points/myPointsSort';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}