import request from '@/apis/utils/request'
 import requestWhite from '@/apis/utils/requestWhite'
 
import Qs from 'qs';

export function pageList(formData) {
	return requestWhite({
		url: '/open/share/pageList',
		data: formData,
		method: 'post',	
	//	header:{'Content-Type':'application/json'},
	})
}

export function addShare(formData) {
	return request({
		url: '/mobile/share/addShare',
		data: formData,
		method: 'post',	
	//	header:{'Content-Type':'application/json'},
	})
}

export function delShare(formData) {
	return request({
		url: '/mobile/share/delShare',
		data: formData,
		method: 'post',	
	//	header:{'Content-Type':'application/json'},
	})
}

export function changeLikes(formData) {
	return request({
		url: '/mobile/share/changeLikes',
		data: formData,
		method: 'post',	
	//	header:{'Content-Type':'application/json'},
	})
}


export function dataList(formData) {
	return requestWhite({
		url: '/open/dataDictionary/dataList',
		data: {
			catalogName:formData
		},
		method: 'post',	
	//	header:{'Content-Type':'application/json'},
	})
}


export function createComment(formData) {
	return request({
		url: '/mobile/share/createComment',
		data: formData,
		method: 'post',	
	//	header:{'Content-Type':'application/json'},
	})
}


export function details(formData) {
	return request({
		url: '/open/share/details',
		data: formData,
		method: 'post',	
	//	header:{'Content-Type':'application/json'},
	})
}
