import request from '@/apis/utils/request'
import requestWhite from '@/apis/utils/requestWhite'
 
import Qs from 'qs';

// 订餐月度记录
export function monthList(formData) {
	return request({
		url: '/mobile/orderFoodRecord/monthList',
		data: formData,
		method: 'post'
	})
}

// 订餐
export function add(formData) {
	return request({
		url: '/mobile/orderFoodRecord/add',
		data: formData,
		method: 'post'
	})
}

// 查询人员是否能订餐
export function loadUserOrderFlag(formData) {
	return request({
		url: '/mobile/orderFoodRecord/loadUserOrderFlag',
		data: formData,
		method: 'post'
	})
}

// 订餐信息修改
export function update(formData) {
	return request({
		url: '/mobile/orderFoodRecord/update',
		data: formData,
		method: 'post'
	})
}